/* probe.h */

#ifndef _probe_h
#define _probe_h


#define MC68040
#define OFF_BUSERR	2


static int fakevalue;
static int caughtbuserr;


/*
 * Representation of initial words of exception stack frame.
 */
struct exframe {
    unsigned short	ex_sr;
    unsigned long	ex_pc;
    unsigned short	ex_vec;
    unsigned short	ex_dontcare;
    unsigned short	ex_ssw;
};


/*
 * This routine is only used with 68040
 */
#ifdef MC68040
extern int rtn68040();
#endif


/*
 * ASM functions prototypes
 */
void asm_cache_disable();
void asm_cache_enable();
unsigned long asm_catch_VBR();
int asm_catch_bus_error();

#endif	/* _probe_h */
